import 'reflect-metadata';
import { ParamInputModel, RangeInputModel, DecoratorReturnModel } from './reflect-input.models';
export declare function FormGenerator(constructor: Function): void;
export declare function DataType(param: ParamInputModel): (target: Object, propertyKey: string) => void;
export declare function CreditCard(param: ParamInputModel): (target: Object, propertyKey: string) => void;
export declare function Compare(param: ParamInputModel): (target: Object, propertyKey: string) => void;
export declare function Contains(param: ParamInputModel): (target: Object, propertyKey: string) => void;
export declare function Custom(param: ParamInputModel): (target: Object, propertyKey: string) => void;
export declare function Name(param: string): (target: Object, propertyKey: string) => void;
export declare function Required(param: string): (target: Object, propertyKey: string) => void;
export declare function RequiredIf(param: ParamInputModel): (target: Object, propertyKey: string) => void;
export declare function ReadOnly(): (target: Object, propertyKey: string) => void;
export declare function Pattern(param: ParamInputModel): (target: Object, propertyKey: string) => void;
export declare function MinValue(input: ParamInputModel): (target: Object, propertyKey: string) => void;
export declare function MaxValue(input: ParamInputModel): (target: Object, propertyKey: string) => void;
export declare function NotContains(param: ParamInputModel): (target: Object, propertyKey: string) => void;
export declare function NoForm(): (target: Object, propertyKey: string) => void;
export declare function StringLength(input: RangeInputModel): (target: Object, propertyKey: string) => void;
export declare function Email(input: string): (target: Object, propertyKey: string) => void;
export declare function Placeholder(input: string): (target: Object, propertyKey: string) => void;
export declare function Range(input: RangeInputModel): (target: Object, propertyKey: string) => void;
export declare function configurable(value: boolean): (target: any, propertyKey: string, descriptor: PropertyDescriptor) => void;
/**
 * Placeholder(string)
 * Validate: function
 * Compare:? ორი ველის შედარება
 */
export declare function getDecorators(target: any, propertyName: string | symbol): DecoratorReturnModel[];
export declare function ngxValidate(key: string, param: string | ParamInputModel | RangeInputModel, value: any, dataModel?: any): string;
